# plot free energy from force on dihedral
f<-read.table("fc.dat")[[1]]

# kcal: conversion from Hartree to kcal/mol
kcal<-0.0015935987

# Assume a change in dihedral of 0.01 degree/step
dtheta <- -0.01

# free energy e = integral( -f(theta) * dtheta )
e <- diffinv(-f)*dtheta/kcal
theta<-180 + seq(0:length(f))*dtheta

y<-e
x<-theta

par(mar=c(5.1,5.1,4.1,2.1))
plot(x,y,xaxs="i",xlim=c(-180,180),xaxp=c(-180,180,6),ylim=c(-0.5,8.0),
  type="l",xlab="Cl-C-C-Cl (deg)",ylab="G (kcal/mol)",
  main="1,2 dichloroethane",
  cex.main=1.5, cex.lab=1.5)

grid(6,NA)
