# Ethylene glycol constrained MD simulation
# constrain the O1-C1-C2-O2 torsion angle to -180 degrees and increase angle
# during the MD simulation by 0.005 degree per atomic unit of time
# The MD simulation consists of 3600 steps with dt=20 a.u. 
# Total simulation time: 72000 a.u. which will scan a full 360 degrees
# of the torsion angle

load gs.xml

set wf_dyn PSDA
set xc PBE

# define the torsion constraint and its rate of change per atomic unit of time
constraint define torsion OCCO O1 C1 C2 O2 -180 0.005
constraint list
constraint enforce

# recompute the ground state
run 0 20

# start the MD simulation
set thermostat BDP
set th_temp 300
randomize_v 300
set atoms_dyn MD
set dt 20
set scf_tol 1.e-5
run 3600 10
